Subject: Re: Git crash in Ubuntu 12.04

From: Thomas Rast <[email-masked]>
Date: Wed, 10 Apr 2013 09:44:29 +0200

Sivaram Kannan <[email-masked]> writes:

> Hi,
>
> I am using git with Gitlab/Gitolite configuration. Git version is
> 1.7.9.5 in Ubuntu 12.04. There has been a consistent git crash
> recently and have attached the /var/crash/_usr_lib_git-core_
> git.1001.crash file.
>
> The crash output is pasted in the following link
>
> http://pastebin.com/uAQS81BX
>
> I removed some long binary information at the end of the file as
> pastebin does not allow more than 500k pasting. The crash is
> consistently happening and I am planning on for a debian deployment of
> gitlab.

Can you tell us what command you ran, and also try to get a readable
backtrace from your installation?

It seems that the paste would have contained a core dump (you snipped
it9, but it would be pretty useless without the corresponding binary
anyway.  Once you have the coredump in hand (as a file) you can use

  gdb $(which git) the_coredump_file

and then in the GDB prompt, enter 'backtrace' and paste its output, to
give us an idea what is going on.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch